Bug 470633 - PCM volume set too low for Compaq F572US laptop sound card. [HDA NVIDIA 103c:30b7]
PCM volume set too low for Compaq F572US laptop sound card. [HDA NVIDIA 103c:...
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
Depends On:
Blocks: AlsaVolume
  Show dependency treegraph
Reported: 2008-11-07 22:11 EST by Gideon Mayhak
Modified: 2009-05-16 13:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-16 13:13:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Result from alsa-info.sh (14.37 KB, text/plain)
2009-02-14 02:49 EST, Gideon Mayhak
no flags Details

  None (edit)
Description Gideon Mayhak 2008-11-07 22:11:49 EST
Description of problem:
With a default install of Fedora 10 Beta, Snapshot 3, or Preview, the default PCM volume is 30%/-21dB.  With a default install of Fedora 9, it correctly set my PCM volume to 100%/0dB.

I can then set it to the correct value with alsamixer -c 0 and it does save.

Version-Release number of selected component (if applicable):
Whatever version of alsa-lib came with Fedora 10 Beta, Snapshot 3, and Preview.

How reproducible:
Four fresh installations, one from each: Beta, rawhide (some point between Beta and Snapshot 3), Snapshot 3, and Preview.

Steps to Reproduce:
1. Install from Fedora 10 Preview DVD
2. Check current PCM volume with alsamixer -c 0

Actual results:

Expected results:

Additional info:
Here is the output of lspci -v:

[root@gidux-laptop-rawhide ~]$ lspci -v
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
	Subsystem: Hewlett-Packard Company Presario V6133CL
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 17
	Memory at b0000000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: [44] Power Management version 2
	Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+ Count=1/1 Enable-
	Capabilities: [6c] HyperTransport: MSI Mapping Enable+ Fixed+
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel
Comment 1 Bug Zapper 2008-11-26 00:01:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 2 Jaroslav Kysela 2009-02-04 07:14:54 EST
It's not a bug. Actually, all volumes are set to -20dB by default to keep things safe.

Anyway, attach, please, output from 'alsa-info.sh --no-upload'.
Comment 3 Gideon Mayhak 2009-02-14 02:49:07 EST
Created attachment 331899 [details]
Result from alsa-info.sh

Here is the output from alsa-info.sh.  Also of note, my soundcard is incredibly too quiet at anything less than 0dB when playing through the internal laptop speakers.  It only distorts if you go above 0dB (which you can't do anymore, but you used to be able to and I would set PCM to ~74%).  Anyway, I feel that the default should be a PCM volume of 0dB and a Master volume of 50% (since the master volume can be changed more easily than PCM).
Comment 4 Gideon Mayhak 2009-04-20 20:48:00 EDT
Any thoughts on this?
Comment 5 Gideon Mayhak 2009-04-27 23:25:28 EDT
Adam Williamson, I read your e-mail here:


Have I provided enough information in this ticket?
Comment 6 Adam Williamson 2009-04-28 01:39:57 EDT
Looks like, yes. Adding Lennart in CC. Thanks. I need to set up a blocker bug for these...

Fedora Bugzappers volunteer triage team
Comment 7 Jaroslav Kysela 2009-04-28 05:25:45 EDT
Appearently Conexant codecs are really broken and do not follow HDA specification.

This commit should handle this issue:


This patch will be in alsa-utils-1.0.20 release.
Comment 8 Adam Williamson 2009-04-28 19:54:39 EDT
thanks, jaroslav. will we be able to get that fix into f11, either by backporting it or updating alsa-utils? it's rather important as discussed in the mail linked in comment #5, as I expect you know.

Fedora Bugzappers volunteer triage team
Comment 9 Lennart Poettering 2009-04-30 15:54:46 EDT
It would make a lot of sense to me if the 'inner' volume controls (such as PCM, not Master) would be initialized to 0dB by default.

Jaroslav, what's the reason not to do that?
Comment 10 Adam Williamson 2009-05-15 11:47:22 EDT
reporter, can you test with alsa-utils 1.0.20 and confirm if this is fixed? you will need to install the packages and then run 'alsactl init', which resets the volumes to default. if it works after that, we're good.

You can get 1.0.20 from updates-testing, or directly at http://koji.fedoraproject.org/koji/buildinfo?buildID=102231
Comment 11 Gideon Mayhak 2009-05-16 13:13:48 EDT
I already had alsa-utils-1.0.20-3.fc11.x86_64 installed, so I ran alsactl init.  It looks like it worked!  I ran alsamixer -c0 and PCM was at 100%/0dB.  Thanks a lot.  Unless there's anything else you want me to check, I'd say this bug is closed.

Thanks again!

Note You need to log in before you can comment on or make changes to this bug.